polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType > Class Template Reference

`#include <CTermStack.h>`

Inheritance diagram for polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >:

## Public Types

typedef CDegTermStack < NavigatorType, DescendingProperty, valid_tag, BaseType > | base
typedef CBlockTermStack < NavigatorType, DescendingProperty, BaseType > | self
typedef base::navigator | navigator
typedef navigator::size_type | size_type
typedef navigator::idx_type | idx_type
typedef base::manager_type | manager_type
Public Types inherited from polybori::CDegTermStack< NavigatorType, DescendingProperty, valid_tag, BaseType >
typedef CDegStackBase < NavigatorType, DescendingProperty, valid_tag, BaseType > | base
typedef CDegTermStack < NavigatorType, DescendingProperty, valid_tag, BaseType > | self
typedef base::navigator | navigator
typedef navigator::size_type | size_type
typedef navigator::deg_type | deg_type
typedef base::manager_type | manager_type

## Public Member Functions

| CBlockTermStack (navigator navi, const manager_type &mgr)
| Construct stack from navigator. More...
| CBlockTermStack (const CBlockTermStack &rhs)
| Copy constructor. More...
void | init ()
void | increment ()
void | followBlockDeg ()
void | followDeg ()
void | incrementBlock ()
Public Member Functions inherited from polybori::CDegTermStack< NavigatorType, DescendingProperty, valid_tag, BaseType >
| CDegTermStack (navigator navi, const manager_type &mgr)
| CDegTermStack (const CDegTermStack &rhs)
void | init ()
void | followDeg ()
void | increment ()
void | degTerm ()
void | decrement ()
void | findTerm (size_type upperbound)
void | restart ()
void | invalidate ()

## Member Typedef Documentation

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef CDegTermStack<NavigatorType, DescendingProperty, valid_tag, BaseType> polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::base

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef navigator::idx_type polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::idx_type

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef base::manager_type polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::manager_type

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef base::navigator polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::navigator

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef CBlockTermStack<NavigatorType, DescendingProperty, BaseType> polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::self

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

typedef navigator::size_type polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::size_type

## Constructor & Destructor Documentation

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::CBlockTermStack | ( | navigator | navi,
|  | const manager_type & | mgr
| ) |  |

inline

Construct stack from navigator.

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::CBlockTermStack | ( | const CBlockTermStack< NavigatorType, DescendingProperty, BaseType > & | rhs) |  |

inline

Copy constructor.

## Member Function Documentation

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

void polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::followBlockDeg | ( | ) |  |

inline

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

void polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::followDeg | ( | ) |  |

inline

References PBORI_ASSERT.

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

void polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::increment | ( | ) |  |

inline

References PBORI_ASSERT.

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

void polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::incrementBlock | ( | ) |  |

inline

References PBORI_ASSERT.

template<class NavigatorType , class DescendingProperty , class BaseType = internal_tag>

void polybori::CBlockTermStack< NavigatorType, DescendingProperty, BaseType >::init | ( | ) |  |

inline

The documentation for this class was generated from the following file:

- CTermStack.h